JC
Date: 2019-10-22

org.jmol.viewer

## Class JC

- java.lang.Object
- - org.jmol.viewer.JC

-     public final class JC
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ADD_HYDROGEN_TITLE`
    `static java.lang.String` | `allowedQuaternionFrames`
    `static int` | `ALPHA_CARBON_VISIBILITY_FLAG`
    `static int[]` | `altArgbsCpk`
    `static float` | `ANGSTROMS_PER_BOHR`
    `static int[]` | `argbsFormalCharge`
    `static int` | `argbsIsosurfaceNegative`
    `static int` | `argbsIsosurfacePositive`
    `static int[]` | `argbsRoygbScale`
    `static int[]` | `argbsRwbScale`
    `static byte` | `ATOMID_ALPHA_CARBON`
    `static int` | `ATOMID_ALPHA_ONLY_MASK`
    `static byte` | `ATOMID_AMINO_NITROGEN`
    `static byte` | `ATOMID_C1_PRIME`
    `static byte` | `ATOMID_C2`
    `static byte` | `ATOMID_C2_PRIME`
    `static byte` | `ATOMID_C3_PRIME`
    `static byte` | `ATOMID_C4`
    `static byte` | `ATOMID_C4_PRIME`
    `static byte` | `ATOMID_C5`
    `static byte` | `ATOMID_C5_PRIME`
    `static byte` | `ATOMID_C5M`
    `static byte` | `ATOMID_C6`
    `static byte` | `ATOMID_C7`
    `static byte` | `ATOMID_C8`
    `static byte` | `ATOMID_CARBONYL_CARBON`
    `static byte` | `ATOMID_CARBONYL_OD1`
    `static byte` | `ATOMID_CARBONYL_OD2`
    `static byte` | `ATOMID_CARBONYL_OE1`
    `static byte` | `ATOMID_CARBONYL_OE2`
    `static byte` | `ATOMID_CARBONYL_OXYGEN`
    `static int` | `ATOMID_DISTINGUISHING_ATOM_MAX`
    `static byte` | `ATOMID_H3T_TERMINUS`
    `static byte` | `ATOMID_H5T_TERMINUS`
    `static byte` | `ATOMID_HO3_PRIME`
    `static byte` | `ATOMID_HO5_PRIME`
    `static byte` | `ATOMID_N1`
    `static byte` | `ATOMID_N2`
    `static byte` | `ATOMID_N3`
    `static byte` | `ATOMID_N4`
    `static byte` | `ATOMID_N6`
    `static byte` | `ATOMID_N7`
    `static byte` | `ATOMID_N9`
    `static int` | `ATOMID_NUCLEIC_MASK`
    `static byte` | `ATOMID_NUCLEIC_PHOSPHORUS`
    `static byte` | `ATOMID_O1`
    `static byte` | `ATOMID_O1P`
    `static byte` | `ATOMID_O2`
    `static byte` | `ATOMID_O2_PRIME`
    `static byte` | `ATOMID_O2P`
    `static byte` | `ATOMID_O3_PRIME`
    `static byte` | `ATOMID_O4`
    `static byte` | `ATOMID_O4_PRIME`
    `static byte` | `ATOMID_O5_PRIME`
    `static byte` | `ATOMID_O5T_TERMINUS`
    `static byte` | `ATOMID_O6`
    `static byte` | `ATOMID_OP1`
    `static byte` | `ATOMID_OP2`
    `static int` | `ATOMID_PHOSPHORUS_ONLY_MASK`
    `static int` | `ATOMID_PROTEIN_MASK`
    `static byte` | `ATOMID_S4`
    `static byte` | `ATOMID_TERMINATING_OXT`
    `static int` | `AXES_DEFAULT_FONTSIZE`
    `static javajs.util.V3` | `axisNX`
    `static javajs.util.V3` | `axisNY`
    `static javajs.util.V3` | `axisNZ`
    `static javajs.util.V3` | `axisX`
    `static javajs.util.V3` | `axisY`
    `static javajs.util.V3` | `axisZ`
    `static java.lang.String` | `CACTUS_FILE_TYPES`
    `static javajs.util.V3` | `center`
    `static int` | `CIP_CHIRALITY_AXIAL_FLAG`
    `static int` | `CIP_CHIRALITY_CANTDETERMINE`
    `static int` | `CIP_CHIRALITY_EZ_FLAG`
    `static int` | `CIP_CHIRALITY_m_FLAG`
    `static int` | `CIP_CHIRALITY_M_FLAG`
    `static int` | `CIP_CHIRALITY_NAME_MASK`
    `static int` | `CIP_CHIRALITY_NAME_OFFSET`
    `static int` | `CIP_CHIRALITY_NONE`
    `static int` | `CIP_CHIRALITY_p_FLAG`
    `static int` | `CIP_CHIRALITY_P_FLAG`
    `static int` | `CIP_CHIRALITY_PSEUDO_FLAG`
    `static int` | `CIP_CHIRALITY_r_FLAG`
    `static int` | `CIP_CHIRALITY_R_FLAG`
    `static int` | `CIP_CHIRALITY_s_FLAG`
    `static int` | `CIP_CHIRALITY_S_FLAG`
    `static int` | `CIP_CHIRALITY_seqcis_FLAG`
    `static int` | `CIP_CHIRALITY_seqCis_FLAG`
    `static int` | `CIP_CHIRALITY_seqtrans_FLAG`
    `static int` | `CIP_CHIRALITY_seqTrans_FLAG`
    `static int` | `CIP_CHIRALITY_UNKNOWN`
    `static java.lang.String` | `copyright`
    `static java.lang.String[]` | `databaseArray`
    `(package private) static java.util.Map<java.lang.String,java.lang.String>` | `databases`
    `static java.lang.String` | `date`
    `static short` | `DEFAULT_BOND_MILLIANGSTROM_RADIUS`
    `static float` | `DEFAULT_BOND_RADIUS`
    `static float` | `DEFAULT_BOND_TOLERANCE`
    `static java.lang.String` | `DEFAULT_DRAG_DROP_SCRIPT`
    `static java.lang.String` | `DEFAULT_FONTFACE`
    `static java.lang.String` | `DEFAULT_FONTSTYLE`
    `static java.lang.String` | `DEFAULT_HELP_PATH`
    `static float` | `DEFAULT_MAX_CONNECT_DISTANCE`
    `static float` | `DEFAULT_MIN_BOND_DISTANCE`
    `static float` | `DEFAULT_MIN_CONNECT_DISTANCE`
    `static int` | `DEFAULT_PERCENT_VDW_ATOM`
    `static float` | `DEFAULT_STRUT_RADIUS`
    `static java.lang.String` | `defaultMacroDirectory`
    `static int` | `DNA_MASK`
    `static int` | `ECHO_BOTTOM`
    `static int` | `ECHO_MIDDLE`
    `static int` | `ECHO_TOP`
    `static int` | `ECHO_XY`
    `static int` | `ECHO_XYZ`
    `private static java.lang.String[]` | `echoNames`
    `static java.lang.String` | `EMBEDDED_SCRIPT_TAG`
    `static float` | `ENC_CALC_MAX_DIST`
    `static int` | `ENV_CALC_MAX_LEVEL`
    `static java.lang.String` | `EXPORT_DRIVER_LIST`
    `static int` | `FORMAL_CHARGE_COLIX_RED`
    `static int` | `GROUPID_AMINO_MAX`
    `static int` | `GROUPID_ARGININE`
    `static int` | `GROUPID_ASPARAGINE`
    `static int` | `GROUPID_ASPARTATE`
    `static int` | `GROUPID_CYSTEINE`
    `static int` | `GROUPID_GLUTAMATE`
    `static int` | `GROUPID_GLUTAMINE`
    `static int` | `GROUPID_HISTIDINE`
    `private static int` | `GROUPID_ION_MAX`
    `private static int` | `GROUPID_ION_MIN`
    `static int` | `GROUPID_LYSINE`
    `static int` | `GROUPID_NUCLEIC_MAX`
    `static int` | `GROUPID_PROLINE`
    `static int` | `GROUPID_SOLVENT_MIN`
    `static int` | `GROUPID_TRYPTOPHAN`
    `static int` | `GROUPID_WATER`
    `private static java.lang.String[]` | `hAlignNames`
    `static java.lang.String` | `IMAGE_OR_SCENE`
    `static java.lang.String` | `IMAGE_TYPES`
    `static java.lang.String` | `JPEG_EXTENSIONS`
    `static int` | `JSV_CLOSE`
    `static int` | `JSV_NOT`
    `static int` | `JSV_SELECT`
    `static int` | `JSV_SEND_C13SIMULATE`
    `static int` | `JSV_SEND_H1SIMULATE`
    `static int` | `JSV_SEND_JDXMOL`
    `static int` | `JSV_SETPEAKS`
    `static int` | `JSV_STRUCTURE`
    `private static int` | `LABEL_CENTERED`
    `static int` | `LABEL_DEFAULT_FONTSIZE`
    `static int` | `LABEL_DEFAULT_OFFSET`
    `static int` | `LABEL_DEFAULT_X_OFFSET`
    `static int` | `LABEL_DEFAULT_Y_OFFSET`
    `private static int` | `LABEL_EXPLICIT`
    `static int` | `LABEL_FLAGS`
    `private static int` | `LABEL_FLAGX_OFFSET_SHIFT`
    `private static int` | `LABEL_FLAGY_OFFSET_SHIFT`
    `static int` | `LABEL_MAXIMUM_FONTSIZE`
    `static int` | `LABEL_MINIMUM_FONTSIZE`
    `private static int` | `LABEL_OFFSET_MASK`
    `static int` | `LABEL_OFFSET_MAX`
    `static int` | `LABEL_POINTER_BACKGROUND`
    `private static int` | `LABEL_POINTER_FLAGS`
    `static int` | `LABEL_POINTER_NONE`
    `static int` | `LABEL_POINTER_ON`
    `private static int` | `LABEL_ZPOS_FLAGS`
    `static int` | `LABEL_ZPOS_FRONT`
    `static int` | `LABEL_ZPOS_GROUP`
    `static java.lang.String` | `LOAD_ATOM_DATA_TYPES`
    `static java.lang.String[]` | `macros`
    `static short` | `madMultipleBondSmallMaximum`
    `static java.lang.String` | `majorVersion`
    `static int` | `MAXIMUM_AUTO_BOND_COUNT`
    `static int` | `MEASURE_DEFAULT_FONTSIZE`
    `static int` | `MINIMIZATION_ATOM_MAX`
    `static float` | `MINIMIZE_FIXED_RANGE`
    `static java.lang.String` | `MODELKIT_ZAP_STRING`
    `static java.lang.String` | `MODELKIT_ZAP_TITLE`
    `static int` | `MOUSE_NONE`
    `static byte` | `MULTIBOND_ALWAYS`
    `static byte` | `MULTIBOND_NEVER`
    `static byte` | `MULTIBOND_NOTSMALL`
    `static byte` | `MULTIBOND_WIREFRAME`
    `static int` | `NBO_CONFIG`
    `static int` | `NBO_MODEL`
    `static int` | `NBO_RUN`
    `static int` | `NBO_SEARCH`
    `static java.lang.String` | `NBO_TYPES`
    `static int` | `NBO_VIEW`
    `static java.lang.String` | `NOTE_SCRIPT_FILE`
    `static boolean` | `officialRelease`
    `static int` | `PARTIAL_CHARGE_COLIX_RED`
    `static int` | `PARTIAL_CHARGE_RANGE_SIZE`
    `static java.lang.String` | `PDB_ANNOTATIONS`
    `static java.lang.String[]` | `predefinedStatic`
    `static java.lang.String[]` | `predefinedVariable`
    `static int` | `PURINE_MASK`
    `static int` | `PYRIMIDINE_MASK`
    `static float` | `radiansPerDegree`
    `static java.lang.String` | `READER_NOT_FOUND`
    `static java.lang.String` | `REPAINT_IGNORE`
    `static int` | `RNA_MASK`
    `private static java.lang.String[]` | `ruleNames`
    `static java.lang.String` | `SCRIPT_COMPLETED`
    `static java.lang.String` | `SCRIPT_EDITOR_IGNORE`
    `static int` | `SHAPE_AXES`
    `static int` | `SHAPE_BACKBONE`
    `static int` | `SHAPE_BALLS`
    `static int` | `SHAPE_BBCAGE`
    `static int` | `SHAPE_CARTOON`
    `static int` | `SHAPE_CGO`
    `static int` | `SHAPE_CONTACT`
    `static int` | `SHAPE_DIPOLES`
    `static int` | `SHAPE_DOTS`
    `static int` | `SHAPE_DRAW`
    `static int` | `SHAPE_ECHO`
    `static int` | `SHAPE_ELLIPSOIDS`
    `static int` | `SHAPE_FRANK`
    `static int` | `SHAPE_GEOSURFACE`
    `static int` | `SHAPE_HALOS`
    `static int` | `SHAPE_HOVER`
    `static int` | `SHAPE_HSTICKS`
    `static int` | `SHAPE_ISOSURFACE`
    `static int` | `SHAPE_LABELS`
    `private static int` | `SHAPE_LAST_ATOM_VIS_FLAG`
    `static int` | `SHAPE_LCAOCARTOON`
    `static int` | `SHAPE_MAX`
    `static int` | `SHAPE_MAX_HAS_ID`
    `static int` | `SHAPE_MAX_HAS_SETVIS`
    `static int` | `SHAPE_MAX_MESH_COLLECTION`
    `static int` | `SHAPE_MAX_SECONDARY`
    `static int` | `SHAPE_MAX_SIZE_ZERO_ON_RESTRICT`
    `static int` | `SHAPE_MAX_SPECIAL`
    `static int` | `SHAPE_MAX_SURFACE`
    `static int` | `SHAPE_MEASURES`
    `static int` | `SHAPE_MESHRIBBON`
    `static int` | `SHAPE_MIN_HAS_ID`
    `static int` | `SHAPE_MIN_HAS_SETVIS`
    `static int` | `SHAPE_MIN_SECONDARY`
    `static int` | `SHAPE_MIN_SPECIAL`
    `static int` | `SHAPE_MIN_SURFACE`
    `static int` | `SHAPE_MO`
    `static int` | `SHAPE_NBO`
    `static int` | `SHAPE_PLOT3D`
    `static int` | `SHAPE_PMESH`
    `static int` | `SHAPE_POLYHEDRA`
    `static int` | `SHAPE_RIBBONS`
    `static int` | `SHAPE_ROCKETS`
    `static int` | `SHAPE_SSSTICKS`
    `static int` | `SHAPE_STARS`
    `static int` | `SHAPE_STICKS`
    `static int` | `SHAPE_STRANDS`
    `static int` | `SHAPE_STRUTS`
    `static int` | `SHAPE_TRACE`
    `static int` | `SHAPE_UCCAGE`
    `static int` | `SHAPE_VECTORS`
    `static java.lang.String[]` | `shapeClassBases`
    `static int` | `SMILES_AROMATIC_DEFINED` AROMATIC_DEFINED draws all aromatic bonds from connection definitions It is deprecated, because a=a will set it by itself.
    `static int` | `SMILES_AROMATIC_DOUBLE` AROMATIC_DOUBLE allows a distinction between single and double, as for example is necessary to distinguish between n=cNH2 and ncNH2 (necessary for MMFF94 atom typing)
    `static int` | `SMILES_AROMATIC_MMFF94` AROMATIC_MMFF94 also raises the strictness level to force all 6- and 7-membered rings to have exactly three double bonds.
    `static int` | `SMILES_AROMATIC_PLANAR` AROMATIC_PLANAR only invokes planarity (Jmol default through 14.5)
    `static int` | `SMILES_AROMATIC_STRICT` AROMATIC_STRICT enforces Hueckel 4+2 rule, not allowing acyclic double bonds
    `static int` | `SMILES_FIRST_MATCH_ONLY`
    `static int` | `SMILES_GEN_ATOM_COMMENT`
    `static int` | `SMILES_GEN_BIO`
    `static int` | `SMILES_GEN_BIO_ALLOW_UNMATCHED_RINGS`
    `static int` | `SMILES_GEN_BIO_COMMENT`
    `static int` | `SMILES_GEN_BIO_COV_CROSSLINK`
    `static int` | `SMILES_GEN_BIO_HH_CROSSLINK`
    `static int` | `SMILES_GEN_BIO_NOCOMMENTS`
    `static int` | `SMILES_GEN_EXPLICIT_H`
    `static int` | `SMILES_GEN_POLYHEDRAL`
    `static int` | `SMILES_GEN_TOPOLOGY`
    `static int` | `SMILES_GROUP_BY_MODEL`
    `static int` | `SMILES_IGNORE_ATOM_CLASS`
    `static int` | `SMILES_IGNORE_STEREOCHEMISTRY`
    `static int` | `SMILES_INVERT_STEREOCHEMISTRY`
    `static int` | `SMILES_MAP_UNIQUE`
    `static int` | `SMILES_NO_AROMATIC`
    `static int` | `SMILES_TYPE_OPENSMARTS`
    `static int` | `SMILES_TYPE_OPENSMILES`
    `static int` | `SMILES_TYPE_SMARTS`
    `static int` | `SMILES_TYPE_SMILES`
    `static java.lang.String` | `STATE_VERSION_STAMP`
    `static int` | `TEXT_ALIGN_CENTER`
    `private static int` | `TEXT_ALIGN_FLAGS`
    `static int` | `TEXT_ALIGN_LEFT`
    `static int` | `TEXT_ALIGN_NONE`
    `static int` | `TEXT_ALIGN_RIGHT`
    `private static int` | `TEXT_ALIGN_SHIFT`
    `static javajs.util.V3[]` | `unitAxisVectors`
    `static int` | `UNITID_ATOM`
    `static int` | `UNITID_INSCODE`
    `static int` | `UNITID_MODEL`
    `static int` | `UNITID_RESIDUE`
    `static int` | `UNITID_TRIM`
    `static java.lang.String` | `version`
    `static int` | `versionInt`
    `static int` | `VIS_BACKBONE_FLAG`
    `static int` | `VIS_BALLS_FLAG`
    `static int` | `VIS_BOND_FLAG`
    `static int` | `VIS_CARTOON_FLAG`
    `static int` | `VIS_LABEL_FLAG`
    `static int` | `XY_ZTOP`
    `static java.lang.String` | `ZAP_TITLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JC()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `embedScript(java.lang.String s)`
    `(package private) static java.lang.String` | `fixProtocol(java.lang.String name)` Check for databases that have changed from http:// to https:// over time.
    `static int` | `getAlignment(int offset)`
    `static int` | `getCIPChiralityCode(char c)`
    `static java.lang.String` | `getCIPChiralityName(int flags)`
    `static java.lang.String` | `getCIPRuleName(int i)`
    `static java.lang.String` | `getEchoName(int type)`
    `static java.lang.String` | `getHorizAlignmentName(int align)`
    `static java.lang.String` | `getMacro(java.lang.String key)`
    `static java.lang.String` | `getMacroList()`
    `static int` | `getNBOTypeFromName(java.lang.String nboType)`
    `static int` | `getOffset(int xOffset, int yOffset, boolean isAbsolute)` Construct an 32-bit integer packed with 10-byte x and y offsets (-500 to 500) along with flags to indicate if exact and, if not, a flag to indicate that the 0 in x or y indicates "centered".
    `static int` | `getPointer(int offset)`
    `static java.lang.String` | `getPointerName(int pointer)`
    `static int` | `getServiceCommand(java.lang.String script)`
    `static java.lang.String` | `getShapeClassName(int shapeID, boolean isRenderer)`
    `static int` | `getShapeVisibilityFlag(int shapeID)`
    `static int` | `getUnitIDFlags(java.lang.String type)` Get a unitID type
    `static int` | `getXOffset(int offset)` X offset in pixels.
    `static int` | `getYOffset(int offset)` Y offset in pixels; negative of this is the actual screen offset
    `static boolean` | `isOffsetAbsolute(int offset)`
    `static boolean` | `isSmilesCanonical(java.lang.String options)`
    `(package private) static java.lang.String` | `resolveDataBase(java.lang.String database, java.lang.String id, java.lang.String format)`
    `static int` | `setHorizAlignment(int offset, int hAlign)`
    `static int` | `setPointer(int offset, int pointer)`
    `static int` | `setZPosition(int offset, int pos)`
    `static int` | `shapeTokenIndex(int tok)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NBO_TYPES

          public static final java.lang.String NBO_TYPES

      See Also:
        Constant Field Values

    - #### CIP_CHIRALITY_UNKNOWN

          public static final int CIP_CHIRALITY_UNKNOWN

      See Also:
        Constant Field Values

    - #### CIP_CHIRALITY_R_FLAG

          public static final int CIP_CHIRALITY_R_FLAG

      See Also:
        Constant Field Values

    - #### CIP_CHIRALITY_S_FLAG

          public static final int CIP_CHIRALITY_S_FLAG

      See Also:
        Constant Field Values

    - #### CIP_CHIRALITY_CANTDETERMINE

          public static final int CIP_CHIRALITY_CANTDETERMINE

      See Also:
        Constant Field Values

    - #### CIP_CHIRALITY_NONE

          public static final int CIP_CHIRALITY_NONE

      See Also:
        Constant Field Values

    - #### CIP_CHIRALITY_EZ_FLAG

          public static final int CIP_CHIRALITY_EZ_FLAG

      See Also:
        Constant Field Values

    - #### CIP_CHIRALITY_PSEUDO_FLAG

          public static final int CIP_CHIRALITY_PSEUDO_FLAG

      See Also:
        Constant Field Values

    - #### CIP_CHIRALITY_AXIAL_FLAG

          public static final int CIP_CHIRALITY_AXIAL_FLAG

      See Also:
        Constant Field Values

    - #### CIP_CHIRALITY_NAME_MASK

          public static final int CIP_CHIRALITY_NAME_MASK

      See Also:
        Constant Field Values

    - #### CIP_CHIRALITY_NAME_OFFSET

          public static final int CIP_CHIRALITY_NAME_OFFSET

      See Also:
        Constant Field Values

    - #### CIP_CHIRALITY_seqCis_FLAG

          public static final int CIP_CHIRALITY_seqCis_FLAG

      See Also:
        Constant Field Values

    - #### CIP_CHIRALITY_seqTrans_FLAG

          public static final int CIP_CHIRALITY_seqTrans_FLAG

      See Also:
        Constant Field Values

    - #### CIP_CHIRALITY_seqcis_FLAG

          public static final int CIP_CHIRALITY_seqcis_FLAG

      See Also:
        Constant Field Values

    - #### CIP_CHIRALITY_seqtrans_FLAG

          public static final int CIP_CHIRALITY_seqtrans_FLAG

      See Also:
        Constant Field Values

    - #### CIP_CHIRALITY_M_FLAG

          public static final int CIP_CHIRALITY_M_FLAG

      See Also:
        Constant Field Values

    - #### CIP_CHIRALITY_P_FLAG

          public static final int CIP_CHIRALITY_P_FLAG

      See Also:
        Constant Field Values

    - #### CIP_CHIRALITY_r_FLAG

          public static final int CIP_CHIRALITY_r_FLAG

      See Also:
        Constant Field Values

    - #### CIP_CHIRALITY_s_FLAG

          public static final int CIP_CHIRALITY_s_FLAG

      See Also:
        Constant Field Values

    - #### CIP_CHIRALITY_m_FLAG

          public static final int CIP_CHIRALITY_m_FLAG

      See Also:
        Constant Field Values

    - #### CIP_CHIRALITY_p_FLAG

          public static final int CIP_CHIRALITY_p_FLAG

      See Also:
        Constant Field Values

    - #### ruleNames

          private static final java.lang.String[] ruleNames

    - #### PDB_ANNOTATIONS

          public static final java.lang.String PDB_ANNOTATIONS

      See Also:
        Constant Field Values

    - #### CACTUS_FILE_TYPES

          public static final java.lang.String CACTUS_FILE_TYPES

      See Also:
        Constant Field Values

    - #### defaultMacroDirectory

          public static final java.lang.String defaultMacroDirectory

      See Also:
        Constant Field Values

    - #### databaseArray

          public static java.lang.String[] databaseArray

    - #### databases

          static java.util.Map<java.lang.String,java.lang.String> databases

    - #### macros

          public static java.lang.String[] macros

    - #### copyright

          public static final java.lang.String copyright

      See Also:
        Constant Field Values

    - #### version

          public static final java.lang.String version

    - #### majorVersion

          public static java.lang.String majorVersion

    - #### date

          public static final java.lang.String date

    - #### versionInt

          public static final int versionInt

    - #### officialRelease

          public static final boolean officialRelease

      See Also:
        Constant Field Values

    - #### DEFAULT_HELP_PATH

          public static final java.lang.String DEFAULT_HELP_PATH

      See Also:
        Constant Field Values

    - #### STATE_VERSION_STAMP

          public static final java.lang.String STATE_VERSION_STAMP

      See Also:
        Constant Field Values

    - #### EMBEDDED_SCRIPT_TAG

          public static final java.lang.String EMBEDDED_SCRIPT_TAG

      See Also:
        Constant Field Values

    - #### NOTE_SCRIPT_FILE

          public static final java.lang.String NOTE_SCRIPT_FILE

      See Also:
        Constant Field Values

    - #### SCRIPT_EDITOR_IGNORE

          public static final java.lang.String SCRIPT_EDITOR_IGNORE

      See Also:
        Constant Field Values

    - #### REPAINT_IGNORE

          public static final java.lang.String REPAINT_IGNORE

      See Also:
        Constant Field Values

    - #### LOAD_ATOM_DATA_TYPES

          public static final java.lang.String LOAD_ATOM_DATA_TYPES

      See Also:
        Constant Field Values

    - #### radiansPerDegree

          public static final float radiansPerDegree

      See Also:
        Constant Field Values

    - #### allowedQuaternionFrames

          public static final java.lang.String allowedQuaternionFrames

      See Also:
        Constant Field Values

    - #### EXPORT_DRIVER_LIST

          public static final java.lang.String EXPORT_DRIVER_LIST

      See Also:
        Constant Field Values

    - #### center

          public static final javajs.util.V3 center

    - #### axisX

          public static final javajs.util.V3 axisX

    - #### axisY

          public static final javajs.util.V3 axisY

    - #### axisZ

          public static final javajs.util.V3 axisZ

    - #### axisNX

          public static final javajs.util.V3 axisNX

    - #### axisNY

          public static final javajs.util.V3 axisNY

    - #### axisNZ

          public static final javajs.util.V3 axisNZ

    - #### unitAxisVectors

          public static final javajs.util.V3[] unitAxisVectors

    - #### XY_ZTOP

          public static final int XY_ZTOP

      See Also:
        Constant Field Values

    - #### DEFAULT_PERCENT_VDW_ATOM

          public static final int DEFAULT_PERCENT_VDW_ATOM

      See Also:
        Constant Field Values

    - #### DEFAULT_BOND_RADIUS

          public static final float DEFAULT_BOND_RADIUS

      See Also:
        Constant Field Values

    - #### DEFAULT_BOND_MILLIANGSTROM_RADIUS

          public static final short DEFAULT_BOND_MILLIANGSTROM_RADIUS

      See Also:
        Constant Field Values

    - #### DEFAULT_STRUT_RADIUS

          public static final float DEFAULT_STRUT_RADIUS

      See Also:
        Constant Field Values

    - #### DEFAULT_BOND_TOLERANCE

          public static final float DEFAULT_BOND_TOLERANCE

      See Also:
        Constant Field Values

    - #### DEFAULT_MIN_BOND_DISTANCE

          public static final float DEFAULT_MIN_BOND_DISTANCE

      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_CONNECT_DISTANCE

          public static final float DEFAULT_MAX_CONNECT_DISTANCE

      See Also:
        Constant Field Values

    - #### DEFAULT_MIN_CONNECT_DISTANCE

          public static final float DEFAULT_MIN_CONNECT_DISTANCE

      See Also:
        Constant Field Values

    - #### MINIMIZATION_ATOM_MAX

          public static final int MINIMIZATION_ATOM_MAX

      See Also:
        Constant Field Values

    - #### MINIMIZE_FIXED_RANGE

          public static final float MINIMIZE_FIXED_RANGE

      See Also:
        Constant Field Values

    - #### ENC_CALC_MAX_DIST

          public static final float ENC_CALC_MAX_DIST

      See Also:
        Constant Field Values

    - #### ENV_CALC_MAX_LEVEL

          public static final int ENV_CALC_MAX_LEVEL

      See Also:
        Constant Field Values

    - #### MOUSE_NONE

          public static final int MOUSE_NONE

      See Also:
        Constant Field Values

    - #### MULTIBOND_NEVER

          public static final byte MULTIBOND_NEVER

      See Also:
        Constant Field Values

    - #### MULTIBOND_WIREFRAME

          public static final byte MULTIBOND_WIREFRAME

      See Also:
        Constant Field Values

    - #### MULTIBOND_NOTSMALL

          public static final byte MULTIBOND_NOTSMALL

      See Also:
        Constant Field Values

    - #### MULTIBOND_ALWAYS

          public static final byte MULTIBOND_ALWAYS

      See Also:
        Constant Field Values

    - #### MAXIMUM_AUTO_BOND_COUNT

          public static final int MAXIMUM_AUTO_BOND_COUNT

      See Also:
        Constant Field Values

    - #### madMultipleBondSmallMaximum

          public static final short madMultipleBondSmallMaximum

      See Also:
        Constant Field Values

    - #### ANGSTROMS_PER_BOHR

          public static final float ANGSTROMS_PER_BOHR

      See Also:
        Constant Field Values

    - #### altArgbsCpk

          public static final int[] altArgbsCpk

    - #### argbsFormalCharge

          public static final int[] argbsFormalCharge

    - #### argbsRwbScale

          public static final int[] argbsRwbScale

    - #### FORMAL_CHARGE_COLIX_RED

          public static final int FORMAL_CHARGE_COLIX_RED

    - #### PARTIAL_CHARGE_COLIX_RED

          public static final int PARTIAL_CHARGE_COLIX_RED

    - #### PARTIAL_CHARGE_RANGE_SIZE

          public static final int PARTIAL_CHARGE_RANGE_SIZE

    - #### argbsRoygbScale

          public static final int[] argbsRoygbScale

    - #### argbsIsosurfacePositive

          public static final int argbsIsosurfacePositive

      See Also:
        Constant Field Values

    - #### argbsIsosurfaceNegative

          public static final int argbsIsosurfaceNegative

      See Also:
        Constant Field Values

    - #### ATOMID_AMINO_NITROGEN

          public static final byte ATOMID_AMINO_NITROGEN

      See Also:
        Constant Field Values

    - #### ATOMID_ALPHA_CARBON

          public static final byte ATOMID_ALPHA_CARBON

      See Also:
        Constant Field Values

    - #### ATOMID_CARBONYL_CARBON

          public static final byte ATOMID_CARBONYL_CARBON

      See Also:
        Constant Field Values

    - #### ATOMID_CARBONYL_OXYGEN

          public static final byte ATOMID_CARBONYL_OXYGEN

      See Also:
        Constant Field Values

    - #### ATOMID_O1

          public static final byte ATOMID_O1

      See Also:
        Constant Field Values

    - #### ATOMID_ALPHA_ONLY_MASK

          public static final int ATOMID_ALPHA_ONLY_MASK

      See Also:
        Constant Field Values

    - #### ATOMID_PROTEIN_MASK

          public static final int ATOMID_PROTEIN_MASK

      See Also:
        Constant Field Values

    - #### ATOMID_O5_PRIME

          public static final byte ATOMID_O5_PRIME

      See Also:
        Constant Field Values

    - #### ATOMID_C5_PRIME

          public static final byte ATOMID_C5_PRIME

      See Also:
        Constant Field Values

    - #### ATOMID_C4_PRIME

          public static final byte ATOMID_C4_PRIME

      See Also:
        Constant Field Values

    - #### ATOMID_C3_PRIME

          public static final byte ATOMID_C3_PRIME

      See Also:
        Constant Field Values

    - #### ATOMID_O3_PRIME

          public static final byte ATOMID_O3_PRIME

      See Also:
        Constant Field Values

    - #### ATOMID_C2_PRIME

          public static final byte ATOMID_C2_PRIME

      See Also:
        Constant Field Values

    - #### ATOMID_C1_PRIME

          public static final byte ATOMID_C1_PRIME

      See Also:
        Constant Field Values

    - #### ATOMID_O4_PRIME

          public static final byte ATOMID_O4_PRIME

      See Also:
        Constant Field Values

    - #### ATOMID_NUCLEIC_MASK

          public static final int ATOMID_NUCLEIC_MASK

      See Also:
        Constant Field Values

    - #### ATOMID_NUCLEIC_PHOSPHORUS

          public static final byte ATOMID_NUCLEIC_PHOSPHORUS

      See Also:
        Constant Field Values

    - #### ATOMID_PHOSPHORUS_ONLY_MASK

          public static final int ATOMID_PHOSPHORUS_ONLY_MASK

      See Also:
        Constant Field Values

    - #### ATOMID_DISTINGUISHING_ATOM_MAX

          public static final int ATOMID_DISTINGUISHING_ATOM_MAX

      See Also:
        Constant Field Values

    - #### ATOMID_CARBONYL_OD1

          public static final byte ATOMID_CARBONYL_OD1

      See Also:
        Constant Field Values

    - #### ATOMID_CARBONYL_OD2

          public static final byte ATOMID_CARBONYL_OD2

      See Also:
        Constant Field Values

    - #### ATOMID_CARBONYL_OE1

          public static final byte ATOMID_CARBONYL_OE1

      See Also:
        Constant Field Values

    - #### ATOMID_CARBONYL_OE2

          public static final byte ATOMID_CARBONYL_OE2

      See Also:
        Constant Field Values

    - #### ATOMID_N1

          public static final byte ATOMID_N1

      See Also:
        Constant Field Values

    - #### ATOMID_C2

          public static final byte ATOMID_C2

      See Also:
        Constant Field Values

    - #### ATOMID_N3

          public static final byte ATOMID_N3

      See Also:
        Constant Field Values

    - #### ATOMID_C4

          public static final byte ATOMID_C4

      See Also:
        Constant Field Values

    - #### ATOMID_C5

          public static final byte ATOMID_C5

      See Also:
        Constant Field Values

    - #### ATOMID_C6

          public static final byte ATOMID_C6

      See Also:
        Constant Field Values

    - #### ATOMID_O2

          public static final byte ATOMID_O2

      See Also:
        Constant Field Values

    - #### ATOMID_N7

          public static final byte ATOMID_N7

      See Also:
        Constant Field Values

    - #### ATOMID_C8

          public static final byte ATOMID_C8

      See Also:
        Constant Field Values

    - #### ATOMID_N9

          public static final byte ATOMID_N9

      See Also:
        Constant Field Values

    - #### ATOMID_N4

          public static final byte ATOMID_N4

      See Also:
        Constant Field Values

    - #### ATOMID_N2

          public static final byte ATOMID_N2

      See Also:
        Constant Field Values

    - #### ATOMID_N6

          public static final byte ATOMID_N6

      See Also:
        Constant Field Values

    - #### ATOMID_C5M

          public static final byte ATOMID_C5M

      See Also:
        Constant Field Values

    - #### ATOMID_O6

          public static final byte ATOMID_O6

      See Also:
        Constant Field Values

    - #### ATOMID_O4

          public static final byte ATOMID_O4

      See Also:
        Constant Field Values

    - #### ATOMID_S4

          public static final byte ATOMID_S4

      See Also:
        Constant Field Values

    - #### ATOMID_C7

          public static final byte ATOMID_C7

      See Also:
        Constant Field Values

    - #### ATOMID_TERMINATING_OXT

          public static final byte ATOMID_TERMINATING_OXT

      See Also:
        Constant Field Values

    - #### ATOMID_H5T_TERMINUS

          public static final byte ATOMID_H5T_TERMINUS

      See Also:
        Constant Field Values

    - #### ATOMID_O5T_TERMINUS

          public static final byte ATOMID_O5T_TERMINUS

      See Also:
        Constant Field Values

    - #### ATOMID_O1P

          public static final byte ATOMID_O1P

      See Also:
        Constant Field Values

    - #### ATOMID_OP1

          public static final byte ATOMID_OP1

      See Also:
        Constant Field Values

    - #### ATOMID_O2P

          public static final byte ATOMID_O2P

      See Also:
        Constant Field Values

    - #### ATOMID_OP2

          public static final byte ATOMID_OP2

      See Also:
        Constant Field Values

    - #### ATOMID_O2_PRIME

          public static final byte ATOMID_O2_PRIME

      See Also:
        Constant Field Values

    - #### ATOMID_H3T_TERMINUS

          public static final byte ATOMID_H3T_TERMINUS

      See Also:
        Constant Field Values

    - #### ATOMID_HO3_PRIME

          public static final byte ATOMID_HO3_PRIME

      See Also:
        Constant Field Values

    - #### ATOMID_HO5_PRIME

          public static final byte ATOMID_HO5_PRIME

      See Also:
        Constant Field Values

    - #### PURINE_MASK

          public static final int PURINE_MASK

      See Also:
        Constant Field Values

    - #### PYRIMIDINE_MASK

          public static final int PYRIMIDINE_MASK

      See Also:
        Constant Field Values

    - #### DNA_MASK

          public static final int DNA_MASK

      See Also:
        Constant Field Values

    - #### RNA_MASK

          public static final int RNA_MASK

      See Also:
        Constant Field Values

    - #### GROUPID_ARGININE

          public static final int GROUPID_ARGININE

      See Also:
        Constant Field Values

    - #### GROUPID_ASPARAGINE

          public static final int GROUPID_ASPARAGINE

      See Also:
        Constant Field Values

    - #### GROUPID_ASPARTATE

          public static final int GROUPID_ASPARTATE

      See Also:
        Constant Field Values

    - #### GROUPID_CYSTEINE

          public static final int GROUPID_CYSTEINE

      See Also:
        Constant Field Values

    - #### GROUPID_GLUTAMINE

          public static final int GROUPID_GLUTAMINE

      See Also:
        Constant Field Values

    - #### GROUPID_GLUTAMATE

          public static final int GROUPID_GLUTAMATE

      See Also:
        Constant Field Values

    - #### GROUPID_HISTIDINE

          public static final int GROUPID_HISTIDINE

      See Also:
        Constant Field Values

    - #### GROUPID_LYSINE

          public static final int GROUPID_LYSINE

      See Also:
        Constant Field Values

    - #### GROUPID_PROLINE

          public static final int GROUPID_PROLINE

      See Also:
        Constant Field Values

    - #### GROUPID_TRYPTOPHAN

          public static final int GROUPID_TRYPTOPHAN

      See Also:
        Constant Field Values

    - #### GROUPID_AMINO_MAX

          public static final int GROUPID_AMINO_MAX

      See Also:
        Constant Field Values

    - #### GROUPID_NUCLEIC_MAX

          public static final int GROUPID_NUCLEIC_MAX

      See Also:
        Constant Field Values

    - #### GROUPID_WATER

          public static final int GROUPID_WATER

      See Also:
        Constant Field Values

    - #### GROUPID_SOLVENT_MIN

          public static final int GROUPID_SOLVENT_MIN

      See Also:
        Constant Field Values

    - #### GROUPID_ION_MIN

          private static final int GROUPID_ION_MIN

      See Also:
        Constant Field Values

    - #### GROUPID_ION_MAX

          private static final int GROUPID_ION_MAX

      See Also:
        Constant Field Values

    - #### predefinedVariable

          public static java.lang.String[] predefinedVariable

    - #### predefinedStatic

          public static java.lang.String[] predefinedStatic

    - #### MODELKIT_ZAP_STRING

          public static final java.lang.String MODELKIT_ZAP_STRING

      See Also:
        Constant Field Values

    - #### MODELKIT_ZAP_TITLE

          public static final java.lang.String MODELKIT_ZAP_TITLE

      See Also:
        Constant Field Values

    - #### ZAP_TITLE

          public static final java.lang.String ZAP_TITLE

      See Also:
        Constant Field Values

    - #### ADD_HYDROGEN_TITLE

          public static final java.lang.String ADD_HYDROGEN_TITLE

      See Also:
        Constant Field Values

    - #### DEFAULT_FONTFACE

          public static final java.lang.String DEFAULT_FONTFACE

      See Also:
        Constant Field Values

    - #### DEFAULT_FONTSTYLE

          public static final java.lang.String DEFAULT_FONTSTYLE

      See Also:
        Constant Field Values

    - #### MEASURE_DEFAULT_FONTSIZE

          public static final int MEASURE_DEFAULT_FONTSIZE

      See Also:
        Constant Field Values

    - #### AXES_DEFAULT_FONTSIZE

          public static final int AXES_DEFAULT_FONTSIZE

      See Also:
        Constant Field Values

    - #### SHAPE_BALLS

          public static final int SHAPE_BALLS

      See Also:
        Constant Field Values

    - #### SHAPE_STICKS

          public static final int SHAPE_STICKS

      See Also:
        Constant Field Values

    - #### SHAPE_HSTICKS

          public static final int SHAPE_HSTICKS

      See Also:
        Constant Field Values

    - #### SHAPE_SSSTICKS

          public static final int SHAPE_SSSTICKS

      See Also:
        Constant Field Values

    - #### SHAPE_STRUTS

          public static final int SHAPE_STRUTS

      See Also:
        Constant Field Values

    - #### SHAPE_LABELS

          public static final int SHAPE_LABELS

      See Also:
        Constant Field Values

    - #### SHAPE_MEASURES

          public static final int SHAPE_MEASURES

      See Also:
        Constant Field Values

    - #### SHAPE_STARS

          public static final int SHAPE_STARS

      See Also:
        Constant Field Values

    - #### SHAPE_MIN_HAS_SETVIS

          public static final int SHAPE_MIN_HAS_SETVIS

      See Also:
        Constant Field Values

    - #### SHAPE_HALOS

          public static final int SHAPE_HALOS

      See Also:
        Constant Field Values

    - #### SHAPE_MIN_SECONDARY

          public static final int SHAPE_MIN_SECONDARY

      See Also:
        Constant Field Values

    - #### SHAPE_BACKBONE

          public static final int SHAPE_BACKBONE

      See Also:
        Constant Field Values

    - #### SHAPE_TRACE

          public static final int SHAPE_TRACE

      See Also:
        Constant Field Values

    - #### SHAPE_CARTOON

          public static final int SHAPE_CARTOON

      See Also:
        Constant Field Values

    - #### SHAPE_STRANDS

          public static final int SHAPE_STRANDS

      See Also:
        Constant Field Values

    - #### SHAPE_MESHRIBBON

          public static final int SHAPE_MESHRIBBON

      See Also:
        Constant Field Values

    - #### SHAPE_RIBBONS

          public static final int SHAPE_RIBBONS

      See Also:
        Constant Field Values

    - #### SHAPE_ROCKETS

          public static final int SHAPE_ROCKETS

      See Also:
        Constant Field Values

    - #### SHAPE_MAX_SECONDARY

          public static final int SHAPE_MAX_SECONDARY

      See Also:
        Constant Field Values

    - #### SHAPE_MIN_SPECIAL

          public static final int SHAPE_MIN_SPECIAL

      See Also:
        Constant Field Values

    - #### SHAPE_DOTS

          public static final int SHAPE_DOTS

      See Also:
        Constant Field Values

    - #### SHAPE_DIPOLES

          public static final int SHAPE_DIPOLES

      See Also:
        Constant Field Values

    - #### SHAPE_VECTORS

          public static final int SHAPE_VECTORS

      See Also:
        Constant Field Values

    - #### SHAPE_GEOSURFACE

          public static final int SHAPE_GEOSURFACE

      See Also:
        Constant Field Values

    - #### SHAPE_ELLIPSOIDS

          public static final int SHAPE_ELLIPSOIDS

      See Also:
        Constant Field Values

    - #### SHAPE_MAX_SIZE_ZERO_ON_RESTRICT

          public static final int SHAPE_MAX_SIZE_ZERO_ON_RESTRICT

      See Also:
        Constant Field Values

    - #### SHAPE_MIN_HAS_ID

          public static final int SHAPE_MIN_HAS_ID

      See Also:
        Constant Field Values

    - #### SHAPE_POLYHEDRA

          public static final int SHAPE_POLYHEDRA

      See Also:
        Constant Field Values

    - #### SHAPE_DRAW

          public static final int SHAPE_DRAW

      See Also:
        Constant Field Values

    - #### SHAPE_MAX_SPECIAL

          public static final int SHAPE_MAX_SPECIAL

      See Also:
        Constant Field Values

    - #### SHAPE_CGO

          public static final int SHAPE_CGO

      See Also:
        Constant Field Values

    - #### SHAPE_MIN_SURFACE

          public static final int SHAPE_MIN_SURFACE

      See Also:
        Constant Field Values

    - #### SHAPE_ISOSURFACE

          public static final int SHAPE_ISOSURFACE

      See Also:
        Constant Field Values

    - #### SHAPE_CONTACT

          public static final int SHAPE_CONTACT

      See Also:
        Constant Field Values

    - #### SHAPE_LCAOCARTOON

          public static final int SHAPE_LCAOCARTOON

      See Also:
        Constant Field Values

    - #### SHAPE_LAST_ATOM_VIS_FLAG

          private static final int SHAPE_LAST_ATOM_VIS_FLAG

      See Also:
        Constant Field Values

    - #### SHAPE_MO

          public static final int SHAPE_MO

      See Also:
        Constant Field Values

    - #### SHAPE_NBO

          public static final int SHAPE_NBO

      See Also:
        Constant Field Values

    - #### SHAPE_PMESH

          public static final int SHAPE_PMESH

      See Also:
        Constant Field Values

    - #### SHAPE_PLOT3D

          public static final int SHAPE_PLOT3D

      See Also:
        Constant Field Values

    - #### SHAPE_MAX_SURFACE

          public static final int SHAPE_MAX_SURFACE

      See Also:
        Constant Field Values

    - #### SHAPE_MAX_MESH_COLLECTION

          public static final int SHAPE_MAX_MESH_COLLECTION

      See Also:
        Constant Field Values

    - #### SHAPE_ECHO

          public static final int SHAPE_ECHO

      See Also:
        Constant Field Values

    - #### SHAPE_MAX_HAS_ID

          public static final int SHAPE_MAX_HAS_ID

      See Also:
        Constant Field Values

    - #### SHAPE_BBCAGE

          public static final int SHAPE_BBCAGE

      See Also:
        Constant Field Values

    - #### SHAPE_MAX_HAS_SETVIS

          public static final int SHAPE_MAX_HAS_SETVIS

      See Also:
        Constant Field Values

    - #### SHAPE_UCCAGE

          public static final int SHAPE_UCCAGE

      See Also:
        Constant Field Values

    - #### SHAPE_AXES

          public static final int SHAPE_AXES

      See Also:
        Constant Field Values

    - #### SHAPE_HOVER

          public static final int SHAPE_HOVER

      See Also:
        Constant Field Values

    - #### SHAPE_FRANK

          public static final int SHAPE_FRANK

      See Also:
        Constant Field Values

    - #### SHAPE_MAX

          public static final int SHAPE_MAX

      See Also:
        Constant Field Values

    - #### VIS_BOND_FLAG

          public static final int VIS_BOND_FLAG

      See Also:
        Constant Field Values

    - #### VIS_BALLS_FLAG

          public static final int VIS_BALLS_FLAG

      See Also:
        Constant Field Values

    - #### VIS_LABEL_FLAG

          public static final int VIS_LABEL_FLAG

      See Also:
        Constant Field Values

    - #### VIS_BACKBONE_FLAG

          public static final int VIS_BACKBONE_FLAG

      See Also:
        Constant Field Values

    - #### VIS_CARTOON_FLAG

          public static final int VIS_CARTOON_FLAG

      See Also:
        Constant Field Values

    - #### ALPHA_CARBON_VISIBILITY_FLAG

          public static final int ALPHA_CARBON_VISIBILITY_FLAG

      See Also:
        Constant Field Values

    - #### shapeClassBases

          public static final java.lang.String[] shapeClassBases

    - #### SCRIPT_COMPLETED

          public static final java.lang.String SCRIPT_COMPLETED

      See Also:
        Constant Field Values

    - #### JPEG_EXTENSIONS

          public static final java.lang.String JPEG_EXTENSIONS

      See Also:
        Constant Field Values

    - #### IMAGE_TYPES

          public static final java.lang.String IMAGE_TYPES

      See Also:
        Constant Field Values

    - #### IMAGE_OR_SCENE

          public static final java.lang.String IMAGE_OR_SCENE

      See Also:
        Constant Field Values

    - #### LABEL_MINIMUM_FONTSIZE

          public static final int LABEL_MINIMUM_FONTSIZE

      See Also:
        Constant Field Values

    - #### LABEL_MAXIMUM_FONTSIZE

          public static final int LABEL_MAXIMUM_FONTSIZE

      See Also:
        Constant Field Values

    - #### LABEL_DEFAULT_FONTSIZE

          public static final int LABEL_DEFAULT_FONTSIZE

      See Also:
        Constant Field Values

    - #### LABEL_DEFAULT_X_OFFSET

          public static final int LABEL_DEFAULT_X_OFFSET

      See Also:
        Constant Field Values

    - #### LABEL_DEFAULT_Y_OFFSET

          public static final int LABEL_DEFAULT_Y_OFFSET

      See Also:
        Constant Field Values

    - #### LABEL_OFFSET_MAX

          public static final int LABEL_OFFSET_MAX

      See Also:
        Constant Field Values

    - #### LABEL_OFFSET_MASK

          private static final int LABEL_OFFSET_MASK

      See Also:
        Constant Field Values

    - #### LABEL_FLAGY_OFFSET_SHIFT

          private static final int LABEL_FLAGY_OFFSET_SHIFT

      See Also:
        Constant Field Values

    - #### LABEL_FLAGX_OFFSET_SHIFT

          private static final int LABEL_FLAGX_OFFSET_SHIFT

      See Also:
        Constant Field Values

    - #### LABEL_FLAGS

          public static final int LABEL_FLAGS

      See Also:
        Constant Field Values

    - #### LABEL_POINTER_FLAGS

          private static final int LABEL_POINTER_FLAGS

      See Also:
        Constant Field Values

    - #### LABEL_POINTER_NONE

          public static final int LABEL_POINTER_NONE

      See Also:
        Constant Field Values

    - #### LABEL_POINTER_ON

          public static final int LABEL_POINTER_ON

      See Also:
        Constant Field Values

    - #### LABEL_POINTER_BACKGROUND

          public static final int LABEL_POINTER_BACKGROUND

      See Also:
        Constant Field Values

    - #### TEXT_ALIGN_SHIFT

          private static final int TEXT_ALIGN_SHIFT

      See Also:
        Constant Field Values

    - #### TEXT_ALIGN_FLAGS

          private static final int TEXT_ALIGN_FLAGS

      See Also:
        Constant Field Values

    - #### TEXT_ALIGN_NONE

          public static final int TEXT_ALIGN_NONE

      See Also:
        Constant Field Values

    - #### TEXT_ALIGN_LEFT

          public static final int TEXT_ALIGN_LEFT

      See Also:
        Constant Field Values

    - #### TEXT_ALIGN_CENTER

          public static final int TEXT_ALIGN_CENTER

      See Also:
        Constant Field Values

    - #### TEXT_ALIGN_RIGHT

          public static final int TEXT_ALIGN_RIGHT

      See Also:
        Constant Field Values

    - #### LABEL_ZPOS_FLAGS

          private static final int LABEL_ZPOS_FLAGS

      See Also:
        Constant Field Values

    - #### LABEL_ZPOS_GROUP

          public static final int LABEL_ZPOS_GROUP

      See Also:
        Constant Field Values

    - #### LABEL_ZPOS_FRONT

          public static final int LABEL_ZPOS_FRONT

      See Also:
        Constant Field Values

    - #### LABEL_EXPLICIT

          private static final int LABEL_EXPLICIT

      See Also:
        Constant Field Values

    - #### LABEL_CENTERED

          private static final int LABEL_CENTERED

      See Also:
        Constant Field Values

    - #### LABEL_DEFAULT_OFFSET

          public static int LABEL_DEFAULT_OFFSET

    - #### ECHO_TOP

          public static final int ECHO_TOP

      See Also:
        Constant Field Values

    - #### ECHO_BOTTOM

          public static final int ECHO_BOTTOM

      See Also:
        Constant Field Values

    - #### ECHO_MIDDLE

          public static final int ECHO_MIDDLE

      See Also:
        Constant Field Values

    - #### ECHO_XY

          public static final int ECHO_XY

      See Also:
        Constant Field Values

    - #### ECHO_XYZ

          public static final int ECHO_XYZ

      See Also:
        Constant Field Values

    - #### echoNames

          private static final java.lang.String[] echoNames

    - #### hAlignNames

          private static final java.lang.String[] hAlignNames

    - #### SMILES_TYPE_SMILES

          public static final int SMILES_TYPE_SMILES

      See Also:
        Constant Field Values

    - #### SMILES_TYPE_SMARTS

          public static final int SMILES_TYPE_SMARTS

      See Also:
        Constant Field Values

    - #### SMILES_TYPE_OPENSMILES

          public static final int SMILES_TYPE_OPENSMILES

      See Also:
        Constant Field Values

    - #### SMILES_TYPE_OPENSMARTS

          public static final int SMILES_TYPE_OPENSMARTS

      See Also:
        Constant Field Values

    - #### SMILES_FIRST_MATCH_ONLY

          public static final int SMILES_FIRST_MATCH_ONLY

      See Also:
        Constant Field Values

    - #### SMILES_NO_AROMATIC

          public static final int SMILES_NO_AROMATIC

      See Also:
        Constant Field Values

    - #### SMILES_IGNORE_STEREOCHEMISTRY

          public static final int SMILES_IGNORE_STEREOCHEMISTRY

      See Also:
        Constant Field Values

    - #### SMILES_INVERT_STEREOCHEMISTRY

          public static final int SMILES_INVERT_STEREOCHEMISTRY

      See Also:
        Constant Field Values

    - #### SMILES_MAP_UNIQUE

          public static final int SMILES_MAP_UNIQUE

      See Also:
        Constant Field Values

    - #### SMILES_AROMATIC_DEFINED

          public static final int SMILES_AROMATIC_DEFINED

      AROMATIC_DEFINED draws all aromatic bonds from connection definitions It is deprecated, because a=a will set it by itself.
      See Also:
        Constant Field Values

    - #### SMILES_AROMATIC_STRICT

          public static final int SMILES_AROMATIC_STRICT

      AROMATIC_STRICT enforces Hueckel 4+2 rule, not allowing acyclic double bonds
      See Also:
        Constant Field Values

    - #### SMILES_AROMATIC_DOUBLE

          public static final int SMILES_AROMATIC_DOUBLE

      AROMATIC_DOUBLE allows a distinction between single and double, as for example is necessary to distinguish between n=cNH2 and ncNH2 (necessary for MMFF94 atom typing)
      See Also:
        Constant Field Values

    - #### SMILES_AROMATIC_MMFF94

          public static final int SMILES_AROMATIC_MMFF94

      AROMATIC_MMFF94 also raises the strictness level to force all 6- and 7-membered rings to have exactly three double bonds.
      See Also:
        Constant Field Values

    - #### SMILES_AROMATIC_PLANAR

          public static final int SMILES_AROMATIC_PLANAR

      AROMATIC_PLANAR only invokes planarity (Jmol default through 14.5)
      See Also:
        Constant Field Values

    - #### SMILES_IGNORE_ATOM_CLASS

          public static final int SMILES_IGNORE_ATOM_CLASS

      See Also:
        Constant Field Values

    - #### SMILES_GEN_EXPLICIT_H

          public static final int SMILES_GEN_EXPLICIT_H

      See Also:
        Constant Field Values

    - #### SMILES_GEN_TOPOLOGY

          public static final int SMILES_GEN_TOPOLOGY

      See Also:
        Constant Field Values

    - #### SMILES_GEN_POLYHEDRAL

          public static final int SMILES_GEN_POLYHEDRAL

      See Also:
        Constant Field Values

    - #### SMILES_GEN_ATOM_COMMENT

          public static final int SMILES_GEN_ATOM_COMMENT

      See Also:
        Constant Field Values

    - #### SMILES_GEN_BIO

          public static final int SMILES_GEN_BIO

      See Also:
        Constant Field Values

    - #### SMILES_GEN_BIO_ALLOW_UNMATCHED_RINGS

          public static final int SMILES_GEN_BIO_ALLOW_UNMATCHED_RINGS

      See Also:
        Constant Field Values

    - #### SMILES_GEN_BIO_COV_CROSSLINK

          public static final int SMILES_GEN_BIO_COV_CROSSLINK

      See Also:
        Constant Field Values

    - #### SMILES_GEN_BIO_HH_CROSSLINK

          public static final int SMILES_GEN_BIO_HH_CROSSLINK

      See Also:
        Constant Field Values

    - #### SMILES_GEN_BIO_COMMENT

          public static final int SMILES_GEN_BIO_COMMENT

      See Also:
        Constant Field Values

    - #### SMILES_GEN_BIO_NOCOMMENTS

          public static final int SMILES_GEN_BIO_NOCOMMENTS

      See Also:
        Constant Field Values

    - #### SMILES_GROUP_BY_MODEL

          public static final int SMILES_GROUP_BY_MODEL

      See Also:
        Constant Field Values

    - #### JSV_NOT

          public static final int JSV_NOT

      See Also:
        Constant Field Values

    - #### JSV_SEND_JDXMOL

          public static final int JSV_SEND_JDXMOL

      See Also:
        Constant Field Values

    - #### JSV_SETPEAKS

          public static final int JSV_SETPEAKS

      See Also:
        Constant Field Values

    - #### JSV_SELECT

          public static final int JSV_SELECT

      See Also:
        Constant Field Values

    - #### JSV_STRUCTURE

          public static final int JSV_STRUCTURE

      See Also:
        Constant Field Values

    - #### JSV_SEND_H1SIMULATE

          public static final int JSV_SEND_H1SIMULATE

      See Also:
        Constant Field Values

    - #### JSV_SEND_C13SIMULATE

          public static final int JSV_SEND_C13SIMULATE

      See Also:
        Constant Field Values

    - #### NBO_MODEL

          public static final int NBO_MODEL

      See Also:
        Constant Field Values

    - #### NBO_RUN

          public static final int NBO_RUN

      See Also:
        Constant Field Values

    - #### NBO_VIEW

          public static final int NBO_VIEW

      See Also:
        Constant Field Values

    - #### NBO_SEARCH

          public static final int NBO_SEARCH

      See Also:
        Constant Field Values

    - #### NBO_CONFIG

          public static final int NBO_CONFIG

      See Also:
        Constant Field Values

    - #### JSV_CLOSE

          public static final int JSV_CLOSE

      See Also:
        Constant Field Values

    - #### READER_NOT_FOUND

          public static java.lang.String READER_NOT_FOUND

    - #### UNITID_MODEL

          public static final int UNITID_MODEL

      See Also:
        Constant Field Values

    - #### UNITID_RESIDUE

          public static final int UNITID_RESIDUE

      See Also:
        Constant Field Values

    - #### UNITID_ATOM

          public static final int UNITID_ATOM

      See Also:
        Constant Field Values

    - #### UNITID_INSCODE

          public static final int UNITID_INSCODE

      See Also:
        Constant Field Values

    - #### UNITID_TRIM

          public static final int UNITID_TRIM

      See Also:
        Constant Field Values

    - #### DEFAULT_DRAG_DROP_SCRIPT

          public static final java.lang.String DEFAULT_DRAG_DROP_SCRIPT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JC

          public JC()

  - ### Method Detail

    - #### getNBOTypeFromName

          public static int getNBOTypeFromName(java.lang.String nboType)

    - #### getCIPChiralityName

          public static java.lang.String getCIPChiralityName(int flags)

    - #### getCIPRuleName

          public static java.lang.String getCIPRuleName(int i)

    - #### getCIPChiralityCode

          public static int getCIPChiralityCode(char c)

    - #### resolveDataBase

          static java.lang.String resolveDataBase(java.lang.String database,
                                                  java.lang.String id,
                                                  java.lang.String format)

    - #### fixProtocol

          static java.lang.String fixProtocol(java.lang.String name)

      Check for databases that have changed from http:// to https:// over time. We substitute https here in case this is from an old reference.
      Parameters:
        `name` -
      Returns:
        https protocol if necessary

    - #### getMacroList

          public static java.lang.String getMacroList()

    - #### getMacro

          public static java.lang.String getMacro(java.lang.String key)

    - #### embedScript

          public static java.lang.String embedScript(java.lang.String s)

    - #### getShapeVisibilityFlag

          public static final int getShapeVisibilityFlag(int shapeID)

    - #### shapeTokenIndex

          public static final int shapeTokenIndex(int tok)

    - #### getShapeClassName

          public static final java.lang.String getShapeClassName(int shapeID,
                                                                 boolean isRenderer)

    - #### getEchoName

          public static java.lang.String getEchoName(int type)

    - #### setZPosition

          public static int setZPosition(int offset,
                                         int pos)

    - #### setPointer

          public static int setPointer(int offset,
                                       int pointer)

    - #### getPointer

          public static int getPointer(int offset)

    - #### getPointerName

          public static java.lang.String getPointerName(int pointer)

    - #### isOffsetAbsolute

          public static boolean isOffsetAbsolute(int offset)

    - #### getOffset

          public static int getOffset(int xOffset,
                                      int yOffset,
                                      boolean isAbsolute)

      Construct an 32-bit integer packed with 10-byte x and y offsets (-500 to 500) along with flags to indicate if exact and, if not, a flag to indicate that the 0 in x or y indicates "centered". The non-exact default offset of [4,4] is represented as 0 so that new array elements do not have to be initialized.
      Parameters:
        `xOffset` -
        `yOffset` -
        `isAbsolute` -
      Returns:
        packed offset x and y with positioning flags

    - #### getXOffset

          public static int getXOffset(int offset)

      X offset in pixels. negative of this is the actual screen offset
      Parameters:
        `offset` - 0 for an offset indicates "not set" and delivers the default offset
      Returns:
        screen offset from left

    - #### getYOffset

          public static int getYOffset(int offset)

      Y offset in pixels; negative of this is the actual screen offset
      Parameters:
        `offset` - 0 for an offset indicates "not set" and delivers the default offset
      Returns:
        screen offset from bottom

    - #### getAlignment

          public static int getAlignment(int offset)

    - #### setHorizAlignment

          public static int setHorizAlignment(int offset,
                                              int hAlign)

    - #### getHorizAlignmentName

          public static java.lang.String getHorizAlignmentName(int align)

    - #### isSmilesCanonical

          public static boolean isSmilesCanonical(java.lang.String options)

    - #### getServiceCommand

          public static int getServiceCommand(java.lang.String script)

    - #### getUnitIDFlags

          public static int getUnitIDFlags(java.lang.String type)

      Get a unitID type
      Parameters:
        `type` - -mra (model name, residue, atom, and ins code), -mr (model and residue; no atom) -ra default - or -r just residue -t right-trim
      Returns:
        coded type